#include<iostream>
#include<cmath>
using namespace std;

int main()
{
	int n,a,max;
	cin>>n;
	
	if(n>=10){
	
		a=n%10;
		max=a;
		if(n%10==0){
			max=1;
		}else
			for(;n>=10;n=n/10){
			a=n%10;
			if(max<=a)
				max=a;
			}
		
	}else
		max=n;
	
	cout<<max;
	
	return 0;
	
}
